
var gulp = require("gulp"),
fileinclude = require("gulp-file-include"),
htmlmin = require("gulp-html-minifier"),

jshint = require("gulp-jshint"),
stylish = require("jshint-stylish"),


cssBase64 = require("gulp-css-base64"),
svgmin = require("gulp-svgmin"),
watch = require("gulp-watch");

//сборка файлов для документации

gulp.task("build-doc", function(){
	
	gulp.src("doc/html/pages/*.html")
	.pipe(fileinclude({
		
		prefix: "@@",
		basepath: "@file"
		
	}))
	.pipe(htmlmin({
		
		collapseWhitespace: true,
		removeComments: true
		
	}))
    .pipe(gulp.dest("doc/pages"));
		
});

gulp.task("js", function (){
	
    gulp.src("blocks/share-block/*.js")
	.pipe(jshint())
	.pipe(jshint.reporter('jshint-stylish'))
	
});

gulp.task("min-svg", function (){
	
    gulp.src("icons/**/*.svg").pipe(svgmin()).pipe(gulp.dest("icons/dist"));
	
});

gulp.task("default", function(){
	
	gulp.watch([
	
		"doc/html/parts/*.html",
		"doc/html/pages/*.html",
		"blocks/**/*.html"
		
	], ["build-doc"]);
  
	gulp.watch("blocks/share-block/*.js", ["js"]);
});