
var handlebars = require('handlebars'),
mkdirp = require('mkdirp'),

fs = require('fs'),
path = require('path');


function initBuilder(config){

	for(var i = 0, len = config.length; i < len; i++){

		buildHTML(config[i].pathDataJSON, config[i].pathTpl, config[i].pathHtmlFiles);

	}
	
}

function buildHTML(pathDataJSON, pathTpl, pathHtmlFiles){
	
	var dataJSON = require(pathDataJSON);
	
 	fs.readFile(pathTpl, function(err, data){
		
		if(!err){

			var source = data.toString(),

			file = path.basename(pathDataJSON),
			fileName = file.substring(0, file.indexOf('.')),
			
			template = handlebars.compile(source),
			html = template(dataJSON);
			
			mkdirp(pathHtmlFiles, function(err){
				
				var fullFilePath = pathHtmlFiles + fileName + '.html';
				
				if(!err){
				
					fs.writeFile(fullFilePath, html, function(err){
						
						if(err){
							
							return console.log('File is not created! Error: ' + err);
							
						}else{
							
							return console.log(fullFilePath + ' Done!');
							
						}
						
					}); 				
				
				}else{
			
					console.error(err);
 
				}
				
			});					
			
		}else{

			return console.log(pathTpl + ' Error! File no readed');
			
		} 
	  
	});
	
}

module.exports = initBuilder;